<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PackageRequiredFields StructType
 * @subpackage Structs
 */
class JP_PackageRequiredFields extends AbstractStructBase
{
    /**
     * The PackageBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageBooking
     */
    public $PackageBooking;
    /**
     * Constructor method for JP_PackageRequiredFields
     * @uses JP_PackageRequiredFields::setPackageBooking()
     * @param \StructType\JP_PackageBooking $packageBooking
     */
    public function __construct(\StructType\JP_PackageBooking $packageBooking = null)
    {
        $this
            ->setPackageBooking($packageBooking);
    }
    /**
     * Get PackageBooking value
     * @return \StructType\JP_PackageBooking|null
     */
    public function getPackageBooking()
    {
        return $this->PackageBooking;
    }
    /**
     * Set PackageBooking value
     * @param \StructType\JP_PackageBooking $packageBooking
     * @return \StructType\JP_PackageRequiredFields
     */
    public function setPackageBooking(\StructType\JP_PackageBooking $packageBooking = null)
    {
        $this->PackageBooking = $packageBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_PackageRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
